NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_close(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_close - Flushes the ADP output buffer and closes the HTTP connection

## Table Of Contents

## Synopsis

- ns_adp_close

## Description

## COMMANDS

ns_adp_close

  This command flushes the ADP output buffer (i.e. sends it to the browser) and closes the underlying HTTP connection. ADP execution continues after the connection is closed. Any text appended to the ADP output buffer after the close is simply discarded when processing is complete.

## See Also

ns_adp, ns_adp_abort, ns_adp_break, ns_adp_close, ns_adp_ctl, ns_adp_dump, ns_adp_flush, ns_adp_return, ns_adp_stream

## Keywords

ADP